import request from "@/utils/request";

export function createAdapayMember(data) {
  return request({
    url: "/adapay/member/createAdapayMember",
    method: "post",
    data: data,
  });
}

export function selectAdapayMember(data) {
  return request({
    url: "/adapay/member/selectAdapayMember",
    method: "post",
    data: data,
  });
}

// 营收报表
export function getMerchantOrderReport(data) {
  return request({
    url: "/order/report/getMerchantOrderReportV2",
    method: "post",
    data: data,
  });
}
// 汇付结算账号
export function selectSettleAccount(data) {
  return request({
    url: "/adapay/member/selectSettleAccount",
    method: "post",
    data: data,
  });
}
// 查看钱包
export function queryAdapayAccountBalance(data) {
  return request({
    url: "/adapay/member/queryAdapayAccountBalance",
    method: "post",
    data: data,
  });
}
// 新增企业
export function createCorpMember(data) {
  return request({
    url: "/adapay/member/createCorpMember",
    method: "post",
    data: data,
  });
}
// 结算 createSettleAccount
export function createSettleAccount(data) {
  return request({
    url: "/adapay/member/createSettleAccount",
    method: "post",
    data: data,
  });
}
// 修改信息
export function updateAdapayMember(data) {
  return request({
    url: "/adapay/member/updateAdapayMember",
    method: "post",
    data: data,
  });
}

// 提现金额接口
export function withdraw(data) {
  return request({
    url: "/adapay/member/drawCash",
    method: "post",
    data: data,
  });
}

// 提现记录接口
export function WithdrawalHistory(data) {
  return request({
    url: "/adapay/member/queryWithdrawList  ",
    method: "post",
    data: data,
  });
}